Skip to content

Wallet ​

Get History ​

Authentication Required

http
GET https://api.sih.market/api/v1/wallet/history
ParameterTypeExampleDescription
walletTypeIdnumber1See Wallet Type IDs
typeIdsstring1,3,4Comma-separated Transaction Type IDs
limitnumber100Page size
offsetnumber0Pagination offset

Wallet Type IDs ​

ValueDescription
1Main default wallet
2Deposit wallet

Transaction Type IDs ​

ValueDescription
1Purchase
2Purchase refund
3Transfer between sih.app balances
4Deposit item
5Purchase finished refund, fair price system
6Manual refund
12Refund for purchase when cancelling a trade via Steam Protection

Response 200

json
{
  "success": true,
  "data": [
    {
      "id": "527ee278-49e3-4138-b941-f32cc141f03a",
      "amount": -0.1,
      "typeId": 1,
      "data": {
        "orderId": 1
      },
      "created": 1721210563387
    }
  ],
  "pagination": {
    "limit": 100,
    "offset": 0,
    "count": 100
  }
}

Response 400

json
{
  "success": false,
  "error": "unknown error"
}